<?php

if (!isset($app)) {
    throw new \Exception('App variable does not define');
}
use Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf;
use Symfony\Component\Security\Core\Encoder\MessageDigestPasswordEncoder;
$app['twig.options.cache'] = __DIR__ . '/resources/cache/twig';
$theme = [];
$base_twig_path = __DIR__ . '/../resources/views';
foreach (\array_diff(\scandir($base_twig_path), ['..', '.']) as $theme_dir) {
    $theme_dir_path = $base_twig_path . '/' . $theme_dir;
    if (\is_dir($theme_dir_path)) {
        $theme[$theme_dir] = $theme_dir_path . '/';
    }
}
$app['util.path'] = \realpath(__DIR__ . '/../..') . '/deploy/clear_key_util';
$app['themes'] = $theme;
$app['db.host'] = \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::get('mysql_host');
$app['db.port'] = \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::get('mysql_port');
$app['db.user'] = \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::get('mysql_user');
$app['db.password'] = \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::get('mysql_pass');
$app['db.dbname'] = \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::get('db_name');
$app['memcache.options'] = ['memcache.options' => ['host' => \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::getSafe('memcache_host', 'localhost'), 'default_timeout' => \Ministra\Lib\w13ec15f0067ea75861e61e27c990e4ba\k8281faec2a4a41f470b00112682ddabf::getSafe('admin_panel_sidebar_cache_time', 1800)]];
$container['security.default_encoder'] = function () {
    return new \Symfony\Component\Security\Core\Encoder\MessageDigestPasswordEncoder('md5', \false, 0);
};
